---
title: ':any-link'
slug: 'Web/CSS/:any-link'
tags:
  - ':any-link'
  - CSS
  - Experimental
  - Layout
  - Links
  - Pseudo-class
  - Reference
  - Selector
  - Web
  - hyperlinks
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:any-link</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> selector represents an element that acts as the source anchor of a hyperlink, independent of whether it has been visited. In other words, it matches every {{HTMLElement("a")}}, {{HTMLElement("area")}}, or {{HTMLElement("link")}} element that has an <code>href</code> attribute. Thus, it matches all elements that match {{cssxref(":link")}} or {{cssxref(":visited")}}.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any element that would be matched by :link or :visited */
:any-link {
  color: green;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;a href="https://example.com"&gt;External link&lt;/a&gt;&lt;br&gt;
&lt;a href="#"&gt;Internal target link&lt;/a&gt;&lt;br&gt;
&lt;a&gt;Placeholder link (won't get styled)&lt;/a&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">a:any-link {
  border: 1px solid blue;
  color: orange;
}

/* WebKit browsers */
a:-webkit-any-link {
  border: 1px solid blue;
  color: orange;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#the-any-link-pseudo", ":any-link")}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.selectors.any-link")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/HTML/Introduction_to_HTML/Creating_hyperlinks">Creating hyperlinks</a></li>
 <li>Matches HTML elements: <code><a href="/en-US/docs/Web/HTML/Element/a">&lt;a&gt;</a></code>, <code><a href="/en-US/docs/Web/HTML/Element/area">&lt;area&gt;</a></code>, and <code><a href="/en-US/docs/Web/HTML/Element/link">&lt;link&gt;</a></code> with an {{htmlattrxref("href", "a")}} attribute</li>
 <li>Related CSS selectors:
  <ul>
   <li><code><a href="/en-US/docs/Web/CSS/:visited">:visited</a></code></li>
   <li><code><a href="/en-US/docs/Web/CSS/:link">:link</a></code></li>
  </ul>
 </li>
</ul>
